# error: Empty %files file /builddir/build/BUILD/uniconvw-1.1.5/debugsourcefiles.list
%if ! ( 0%{?rhel} && 0%{?rhel} <= 7 )
  %define debug_package %{nil}
%endif

%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%{!?_licensedir:%global license %doc}

%define dir_appdata metainfo
%if 0%{?rhel}%{?fedora}
  %if 0%{?rhel}
    %if 0%{?rhel} <= 7
      %define dir_appdata appdata
    %endif
  %endif
%endif

%if 0%{!?_metainfodir:1}
  %define _metainfodir %{_datadir}/%{dir_appdata}
%endif

%define supports_appstream 1
%if 0%{?rhel} && 0%{?rhel} < 7
  %define supports_appstream 0
%endif

Name:           uniconvw
Version:        1.1.5
Release:        1%{?dist}
Group:          Applications/Multimedia
License:        LGPLv2+ and GPLv2+ and MIT
URL:            https://sk1project.net/modules.php?name=Products&product=uniconvertor&op=download
Summary:        Frontend for UniConvertor vector graphics translator

Source0:        https://sk1project.net/dc.php?target=%{name}-%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}.appdata.xml

BuildRequires:  sed
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
%if 0%{?supports_appstream}
BuildRequires:  libappstream-glib
%endif
BuildRequires:  pygtk2
BuildRequires:  sk1libs
BuildRequires:  uniconvertor1 >= 1.1.5
Requires:       pygtk2
Requires:       sk1libs
Requires:       uniconvertor1 >= 1.1.5
%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:  python-devel
%else
BuildRequires:  python2-devel
%endif

Provides:       uniconvertor-gui = %{?epoch:%{epoch}:}%{version}-%{release}

# https://fedoraproject.org/wiki/Packaging:Scriptlets
# https://fedoraproject.org/wiki/PackagingDrafts/ScriptletSnippets
# update-desktop-database
Requires(post):         desktop-file-utils
Requires(postun):       desktop-file-utils
# gtk-update-icon-cache
Requires(postun):       gtk-update-icon-cache
Requires(posttrans):    gtk-update-icon-cache


%description
uniconvw is a Gtk frontend for UniConvertor.
UniConvertor is used as a backend library to convert one format to another.
sK1 Team, copyright (C) 2010 by Igor E. Novikov


%prep
%setup -q -n "%{name}-%{version}"

%{__sed} -i -re 's/^(Categories=.*[^;])$/\1;/' "src/%{name}.desktop"

%if 0%{?rhel} && 0%{?rhel} <= 6
echo 'StartupWMClass=uniconvw' >> "src/%{name}.desktop"
%else
desktop-file-edit --set-key="StartupWMClass" --set-value="uniconvw" "src/%{name}.desktop"
%endif

%{__cp} "%{SOURCE1}" .

# Prepare for inclusion into documentation part
for file in "COPYRIGHTS" "GNU_GPL_v2" "GNU_LGPL_v2" "VERSION"; do
  %{__install} -p -m644 "src/${file}" "${file}"
done

find * -xtype f -name '*.py' | xargs -I{} sed -i -re 's;^#! *(/usr)?/bin/(env +)?python *$;#!/usr/bin/env python2;' '{}'


%build
%{__python2} setup.py "build"


%install
%{__python2} setup.py install --skip-build --root "%{buildroot}"

if [[ "%{_lib}" != "lib" ]]; then
  if [[ -d "%{buildroot}%{_exec_prefix}/lib" ]]; then
    [[ -d "%{buildroot}%{_libdir}" ]] || %{__install} -d "%{buildroot}%{_libdir}"
    %{__mv} "%{buildroot}%{_exec_prefix}/lib/"* "%{buildroot}%{_libdir}/"
    %{__rm} -rf "%{buildroot}%{_exec_prefix}/lib/"
  fi
fi

# Fix permissions
find "%{buildroot}" -xtype f -name '*.py' | xargs -I{} %{__chmod} a+x '{}'

# Don't duplicate documentation
%{__rm} -f "%{buildroot}%{python2_sitearch}/%{name}"/{COPYRIGHTS,GNU_GPL_v2,GNU_LGPL_v2}

%{__ln_s} "%{name}" "%{buildroot}%{_bindir}/uniconvertor-gui"

# Create icons
icon_in="src/%{name}.png"
icon_out="%{name}.png"
for s in {16,22,24,32,36,48}; do
  [[ ! -f "%{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/${icon_out}" ]] || continue
  convert -background none -density 1024 -resize "${s}x${s}" "${icon_in}" "${icon_out}"
  %{__install} -d "%{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/"
  %{__install} -p -D -m 0644 "${icon_out}" -t "%{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/"
done

%{__install} -d "%{buildroot}%{_datadir}/icons/hicolor/64x64/apps/"
%{__install} -p -D -m 0644 "${icon_in}" -t "%{buildroot}%{_datadir}/icons/hicolor/64x64/apps/"

%{__install} -d "%{buildroot}%{_metainfodir}"
%{__install} -p -D -m 0644 "%{name}.appdata.xml" -t "%{buildroot}%{_metainfodir}/"


%check
desktop-file-validate "%{buildroot}%{_datadir}/applications/%{name}.desktop"

%if 0%{?supports_appstream}
appstream-util validate-relax --nonet "%{buildroot}%{_metainfodir}/%{name}.appdata.xml"
%endif


%post
touch --no-create "%{_datadir}/icons/hicolor" &> /dev/null || :
update-desktop-database -q &> /dev/null ||:


%postun
update-desktop-database -q &> /dev/null ||:
if [[ "${1}" -eq "0" ]]; then
   touch --no-create "%{_datadir}/icons/hicolor" &> /dev/null || :
   gtk-update-icon-cache "%{_datadir}/icons/hicolor" &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache "%{_datadir}/icons/hicolor" &> /dev/null || :


%files
%doc README VERSION
%license COPYRIGHTS GNU_GPL_v2 GNU_LGPL_v2
%{_bindir}/%{name}
%{_bindir}/uniconvertor-gui
%{python2_sitearch}/*
%{_datadir}/icons/hicolor/*/apps/%{name}.??g
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml


%changelog
* Mon Apr 22 2019 Tomasz Tomasik <scx.mail@gmail.com> - 1.1.5-1
- Initial package

